---
title: "Search platform role override contexts"
description: "Searches existing tenant, category, course, activity or user authorization contexts by a two-character-or-longer label query. Non-tenant searches require a tenant. Returns at most 20 minimal selector records and requires platform role-management capability.\n\n### Quire permissions\n\nRequired capability: `platform/roles_manage`.\n\nCredential scopes: `roles:read`.\n\nThe acting subject must also be allowed to perform this action in the organisation."
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Quire API › roles

`GET /platform/role_contexts/search`

Searches existing tenant, category, course, activity or user authorization contexts by a two-character-or-longer label query. Non-tenant searches require a tenant. Returns at most 20 minimal selector records and requires platform role-management capability.

\### Quire permissions

Required capability: `platform/roles_manage`.

Credential scopes: `roles:read`.

The acting subject must also be allowed to perform this action in the organisation.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`, scopes: `roles:read`
- `oauth2`, oauth2, scopes: `roles:read`

## Query parameters

- `searchPlatformRoleContexts.query.kind` (string, required)
  - one of `"tenant"`, `"category"`, `"course"`, `"activity"`, `"user"`
- `searchPlatformRoleContexts.query.query` (string, required)
  - minLength 2; maxLength 100
- `searchPlatformRoleContexts.query.tenant_id` (string, optional)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`

## Header parameters

- `searchPlatformRoleContexts.header.Quire-Version` (string, optional) — The dated API revision to serve this request at. Omitted, the request is served at the revision the credential was issued against. The response echoes the revision actually applied.
  - format `date`

## Code samples

### cURL

```curl
curl --request GET \
  --url 'https://your-organisation.quirelms.com/api/v1/platform/role_contexts/search?kind=tenant&query=string' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://your-organisation.quirelms.com/api/v1/platform/role_contexts/search?kind=tenant&query=string';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://your-organisation.quirelms.com/api/v1/platform/role_contexts/search?kind=tenant&query=string"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success.

#### Example

```json
{
  "data": [
    {
      "kind": "tenant",
      "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
      "ref_id": "58ed4a6c-926f-4b2f-b688-ecd86db2ed34",
      "label": "string",
      "tenant_label": "string"
    }
  ]
}
```

- `searchPlatformRoleContexts.response.200.data` (array<object>, required)
  - `searchPlatformRoleContexts.response.200.data.kind` (string, required)
    - one of `"tenant"`, `"category"`, `"course"`, `"activity"`, `"user"`
  - `searchPlatformRoleContexts.response.200.data.tenant_id` (string, required)
    - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
  - `searchPlatformRoleContexts.response.200.data.ref_id` (string, required)
    - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
  - `searchPlatformRoleContexts.response.200.data.label` (string, required)
  - `searchPlatformRoleContexts.response.200.data.tenant_label` (string, required)

### 401

The credential is missing, malformed, expired or revoked.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `searchPlatformRoleContexts.response.401.type` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.401.title` (string, required)
- `searchPlatformRoleContexts.response.401.status` (integer, required)
- `searchPlatformRoleContexts.response.401.code` (string, required)
- `searchPlatformRoleContexts.response.401.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `searchPlatformRoleContexts.response.401.detail` (string, required)
- `searchPlatformRoleContexts.response.401.request_id` (string, required)
- `searchPlatformRoleContexts.response.401.docs_url` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.401.errors` (array<object>, optional)
  - `searchPlatformRoleContexts.response.401.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `searchPlatformRoleContexts.response.401.errors.code` (string, required)
  - `searchPlatformRoleContexts.response.401.errors.detail` (string, required)
- `searchPlatformRoleContexts.response.401.retry_after` (integer | null, optional)

### 403

The credential lacks the scope this operation requires, or the acting subject lacks the capability.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `searchPlatformRoleContexts.response.403.type` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.403.title` (string, required)
- `searchPlatformRoleContexts.response.403.status` (integer, required)
- `searchPlatformRoleContexts.response.403.code` (string, required)
- `searchPlatformRoleContexts.response.403.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `searchPlatformRoleContexts.response.403.detail` (string, required)
- `searchPlatformRoleContexts.response.403.request_id` (string, required)
- `searchPlatformRoleContexts.response.403.docs_url` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.403.errors` (array<object>, optional)
  - `searchPlatformRoleContexts.response.403.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `searchPlatformRoleContexts.response.403.errors.code` (string, required)
  - `searchPlatformRoleContexts.response.403.errors.detail` (string, required)
- `searchPlatformRoleContexts.response.403.retry_after` (integer | null, optional)

### 422

The request was understood and its content is not valid. `errors` names each field.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `searchPlatformRoleContexts.response.422.type` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.422.title` (string, required)
- `searchPlatformRoleContexts.response.422.status` (integer, required)
- `searchPlatformRoleContexts.response.422.code` (string, required)
- `searchPlatformRoleContexts.response.422.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `searchPlatformRoleContexts.response.422.detail` (string, required)
- `searchPlatformRoleContexts.response.422.request_id` (string, required)
- `searchPlatformRoleContexts.response.422.docs_url` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.422.errors` (array<object>, optional)
  - `searchPlatformRoleContexts.response.422.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `searchPlatformRoleContexts.response.422.errors.code` (string, required)
  - `searchPlatformRoleContexts.response.422.errors.detail` (string, required)
- `searchPlatformRoleContexts.response.422.retry_after` (integer | null, optional)

### 429

A rate limit or a concurrency cap was reached. `Retry-After` says when to try again.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `searchPlatformRoleContexts.response.429.type` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.429.title` (string, required)
- `searchPlatformRoleContexts.response.429.status` (integer, required)
- `searchPlatformRoleContexts.response.429.code` (string, required)
- `searchPlatformRoleContexts.response.429.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `searchPlatformRoleContexts.response.429.detail` (string, required)
- `searchPlatformRoleContexts.response.429.request_id` (string, required)
- `searchPlatformRoleContexts.response.429.docs_url` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.429.errors` (array<object>, optional)
  - `searchPlatformRoleContexts.response.429.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `searchPlatformRoleContexts.response.429.errors.code` (string, required)
  - `searchPlatformRoleContexts.response.429.errors.detail` (string, required)
- `searchPlatformRoleContexts.response.429.retry_after` (integer | null, optional)

### 500

Something failed at our end. Quote `request_id` when reporting it.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `searchPlatformRoleContexts.response.500.type` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.500.title` (string, required)
- `searchPlatformRoleContexts.response.500.status` (integer, required)
- `searchPlatformRoleContexts.response.500.code` (string, required)
- `searchPlatformRoleContexts.response.500.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `searchPlatformRoleContexts.response.500.detail` (string, required)
- `searchPlatformRoleContexts.response.500.request_id` (string, required)
- `searchPlatformRoleContexts.response.500.docs_url` (string, required)
  - format `uri`
- `searchPlatformRoleContexts.response.500.errors` (array<object>, optional)
  - `searchPlatformRoleContexts.response.500.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `searchPlatformRoleContexts.response.500.errors.code` (string, required)
  - `searchPlatformRoleContexts.response.500.errors.detail` (string, required)
- `searchPlatformRoleContexts.response.500.retry_after` (integer | null, optional)


Source: https://docs.quirelms.com/api/roles/searchPlatformRoleContexts/index.md
